Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.models.mixture.gibbssampling
Interface BurnInTest

All Superinterfaces:
  Cloneable, Storable

All Known Implementing Classes:
  AbstractBurnInTest, SimpleBurnInTest, VarianceRatioBurnInTest

    public interface BurnInTest

extends Cloneable, Storable

This is the abstract super class for any test of the length of the burn-in phase.

Author:
  Jens Keilwagen

Method Summary
`BurnInTest` | `clone()` Return a deep copy of this object.
`String` | `getInstanceName()` Returns a short description of the burn-in test.
`int` | `getLengthOfBurnIn()` Computes and returns the length of the burn-in phase using the values from `setValue(double)`.
`void` | `resetAllValues()` This method can be used to remove all values from the internal memory.
`void` | `setCurrentSamplingIndex(int index)` This method sets the value of the current sampling.
`void` | `setValue(double val)` This method can be used to fill the internal memory with the values that will be used to determine the length of the burn-in phase.

Methods inherited from interface de.jstacs.Storable
`toXML`

Method Detail

### clone

    BurnInTest clone()
                     throws CloneNotSupportedException

  Return a deep copy of this object.

  Returns:
    a deep copy of this object
  Throws:
    `CloneNotSupportedException` - if the object can not be cloned
  See Also:
    `Object.clone()`

### setCurrentSamplingIndex

    void setCurrentSamplingIndex(int index)

  This method sets the value of the current sampling. This allows to assign the values from `setValue(double)` to a sampling.

  Parameters:
    `index` - the index of the sampling

### setValue

    void setValue(double val)

  This method can be used to fill the internal memory with the values that will be used to determine the length of the burn-in phase.

  Parameters:
    `val` - the value

### resetAllValues

    void resetAllValues()

  This method can be used to remove all values from the internal memory.

### getLengthOfBurnIn

    int getLengthOfBurnIn()

  Computes and returns the length of the burn-in phase using the values from `setValue(double)`.

  Returns:
    the length of the burn-in phase

### getInstanceName

    String getInstanceName()

  Returns a short description of the burn-in test.

  Returns:
    a short description of the burn-in test.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD